> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Canton Validator

> Delete a specific Canton Validator configuration.



## OpenAPI

````yaml /openapi.yaml delete /networks/{network}/validators/{validatorId}
openapi: 3.1.0
info:
  version: 1.807.0
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /networks/{network}/validators/{validatorId}:
    delete:
      tags:
        - Networks
      summary: Delete Canton Validator
      description: Delete a specific Canton Validator configuration.
      parameters:
        - schema:
            type: string
            enum:
              - canton
              - canton-devnet
              - canton-testnet
          required: true
          name: network
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          required: true
          name: validatorId
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CantonValidator'
      security:
        - authenticationToken: []
          userActionSignature: []
components:
  schemas:
    CantonValidator:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          example: cv-7jeof-m584r-p35ucm37ko3cqgts
        orgId:
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
          description: Organization id.
          example: or-30tnh-itmjs-s235s5ontr3r23h2
        network:
          type: string
          enum:
            - Canton
            - CantonDevnet
            - CantonTestnet
        name:
          type: string
        kind:
          type: string
          enum:
            - Shared
            - Custom
        dateCreated:
          type: string
        partyHint:
          type: string
      required:
        - id
        - orgId
        - network
        - kind
        - dateCreated
        - partyHint
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)
    userActionSignature:
      type: apiKey
      in: header
      name: X-DFNS-USERACTION
      description: >-
        **User Action Signature:** Used to sign the change-inducing API
        requests.

        More details how to generate the token: [User Action Signing
        flows](https://docs.dfns.co/api-reference/auth/signing-flows)

````